<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Exercice - Subscribe Form</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css" integrity="sha384-WskhaSGFgHYWDcbwN70/dfYBj47jz9qbsMId/iRN3ewGhXQFZCSftd1LZCfmhktB"
        crossorigin="anonymous">
</head>

<body>
    <!-- https://getbootstrap.com/docs/4.1/components/forms/#overview pour les classes
    bootstrap et leurs explications sur les formulaires -->
    <form action="#">
        <!-- Exemple d'une partie de formulaire utilisant le grid système
        (en utilisant la classe form-row à la place de row) -->
        <div class="form-row">
            <!-- Puis on utilise les col-x-x comme avec la grid classique -->
            <div class="form-group col-md-6">
                <label for="name">Name : </label>
                <input class="form-control" type="text" id="name">
            </div>
            <div class="form-group col-md-6">
                <label for="surname">Surname : </label>
                <input class="form-control" type="text" id="surname">
            </div>
            <div class="form-group col-md-6">
                <label for="mail">Email : </label>
                <input class="form-control" type="email" id="mail">
            </div>
            <div class="form-group col-md-6">
                <label for="password">Password : </label>
                <input class="form-control" type="password" id="password">
            </div>
        </div>
        <!-- form-group permet de regrouper label et input/select, et rajoute
        une ptite marge en bas (et d'autres trucs quand on fait par exemple des
        form-inline) -->
        <div class="form-group">
            <label for="username">Username : </label>
            <!-- La classe form-control applique le style bootstrap sur les inputs/select
            on peut ensuite modifier leur taille avec les col-x-x notamment -->
            <input class="form-control" type="text" id="username">
        </div>
        <div class="form-group">
            <label for="country">Country : </label>
            <select class="form-control" id="country">
                <option>France</option>
                <option>Belgium</option>
                <option>Switzerland</option>
            </select>
        </div>
        <div class="form-group">
            <label for="presentation">Presentation</label>
            <textarea class="form-control" id="presentation"></textarea>
        </div>
        <div class="form-group">
            <label for="phone">Phone Number : </label>
            <input class="form-control" type="tel" id="phone">
        </div>
        <div class="form-group">
            <!-- la classe bootstrap des checkboxes et radios sera form-check ou
            form-check-label si on veut qu'ils restent sur la même ligne que leur label -->
            <input class="form-check-label" type="checkbox" id="newsletter">
            <label for="newsletter">Do you want to receive our newsletter ?</label>
        </div>
        <fieldset>
            <legend>Do you want to receive our newsletter</legend>
            <div class="form-group">
                <input class="form-check-label" type="radio" id="newsletter-yes" name="newsletter">
                <label for="newsletter-yes">Yes</label>
            </div>
            <div class="form-group">
                <input class="form-check-label" type="radio" id="newsletter-no" name="newsletter">
                <label for="newsletter-no">No</label>
            </div>
        </fieldset>
        <!-- pour styliser les boutons, on utilise la classe btn -->
        <button class="btn btn-primary">Submit</button>

    </form>

</body>

</html>